---
title: "查询手动分类数量"
description: "查询手动分类数量。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/collection/get-the-count-of-manual-collections'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/collection/get-the-count-of-manual-collections.md'
---
# 查询手动分类数量

查询手动分类数量。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/custom_collections/count.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_products`

## Request

### Query Parameters

* `product_id`

  string (optional)

  商品的唯一标识 ID。<br/>
  最大长度限制：64 

* `title`

  string (optional)

  分类的标题。<br/>
  最大长度限制：255

* `updated_at_max`

  string (optional)

  指定要查询分类的最晚更新时间。在此日期之前更新的数据会被返回。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

* `updated_at_min`

  string (optional)

  指定要查询分类的最早更新时间。在此日期和此日期之后更新的数据会被返回。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `count`

  integer

  手动分类的数量。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "查询手动分类数量"
  ],
  "description": "查询手动分类数量。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_products` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "sKTwkfOC",
  "parameters": [
    {
      "name": "product_id",
      "in": "query",
      "description": "商品的唯一标识 ID。<br/>\n最大长度限制：64 ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "product_id",
        "description": "商品的唯一标识 ID。<br/>\n最大长度限制：64 ",
        "type": "string",
        "example": "16057850264845250791280282"
      },
      "example": "16057850264845250791280282",
      "examples": {
        "查询全部手动分类数量": {
          "value": ""
        }
      }
    },
    {
      "name": "title",
      "in": "query",
      "description": "分类的标题。<br/>\n最大长度限制：255",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "title",
        "description": "分类的标题。<br/>\n最大长度限制：255",
        "type": "string",
        "example": "This is a title"
      },
      "example": "This is a title",
      "examples": {
        "查询全部手动分类数量": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "指定要查询分类的最晚更新时间。在此日期之前更新的数据会被返回。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "指定要查询分类的最晚更新时间。在此日期之前更新的数据会被返回。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
        "type": "string",
        "example": "2021-09-03T14:11:54+00:00"
      },
      "example": "2021-09-03T14:11:54+00:00",
      "examples": {
        "查询全部手动分类数量": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "指定要查询分类的最早更新时间。在此日期和此日期之后更新的数据会被返回。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "指定要查询分类的最早更新时间。在此日期和此日期之后更新的数据会被返回。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
        "type": "string",
        "example": "2021-09-02T14:11:54+00:00"
      },
      "example": "2021-09-02T14:11:54+00:00",
      "examples": {
        "查询全部手动分类数量": {
          "value": ""
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "count": {
                "name": "count",
                "description": "手动分类的数量。",
                "type": "integer",
                "example": 100
              }
            },
            "example": {
              "count": 100
            }
          },
          "examples": {
            "查询全部手动分类数量": {
              "description": "查询全部手动分类数量。",
              "value": {
                "count": 2
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/products/custom_collections/count.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询手动分类数量",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```